aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2016-05-02 12:58:58 -0400
committerNick Mathewson <nickm@torproject.org>2016-05-02 12:58:58 -0400
commitb72aa18d73869563e88b85930408781495deed2c (patch)
treef69a692722971fdbbf576b6dd9edeb8a36dfcd28
parentfb9c9e04f002fbbd9745911a17481b49ed66c9f4 (diff)
downloadtor-b72aa18d73869563e88b85930408781495deed2c.tar.gz
tor-b72aa18d73869563e88b85930408781495deed2c.zip
test_bt.sh: Check stderr for backtrace as well as stdout.
addresssanitizer likes to put backtraces on stderr.
-rw-r--r--changes/bug189343
-rwxr-xr-xsrc/test/test_bt.sh4
2 files changed, 5 insertions, 2 deletions
diff --git a/changes/bug18934 b/changes/bug18934
new file mode 100644
index 0000000000..fba703e5a4
--- /dev/null
+++ b/changes/bug18934
@@ -0,0 +1,3 @@
+ o Minor features (testing):
+ - Let backtrace tests work correctly under AddressSanitizer.
+ Fixes part of bug 18934.
diff --git a/src/test/test_bt.sh b/src/test/test_bt.sh
index 033acac955..83fa3ff24b 100755
--- a/src/test/test_bt.sh
+++ b/src/test/test_bt.sh
@@ -4,7 +4,7 @@
exitcode=0
"${builddir:-.}/src/test/test-bt-cl" backtraces || exit $?
-"${builddir:-.}/src/test/test-bt-cl" assert | "${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode="$?"
-"${builddir:-.}/src/test/test-bt-cl" crash | "${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode="$?"
+"${builddir:-.}/src/test/test-bt-cl" assert 2>&1 | "${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode="$?"
+"${builddir:-.}/src/test/test-bt-cl" crash 2>&1 | "${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode="$?"
exit ${exitcode}